JPA 2.0 with Weblogic 10.3.5 Eclipselink issue - This version of OpenJPA cannot read a persistence.xml document

JPA 2.0 "seems" to be finally working in my application deployed on Weblogic 10.3.5 (after tweaks described below).

However, I still get the following message on the WL console terminal:

This version of OpenJPA cannot read a persistence.xml document with a version different from "1.0". Found: version "2.0" in

This is appearing more than once in the logs and I am looking at some way to get rid of it. Read somewhere that this happens with WL 11g release but is there a way to hide/do away or fix it?

Environment:

Weblogic 10.3.5

  • Toplink configured as default persistence provider in console
  • WL classpath modified to have jpa2 specific jars in WL in front of the path (as described in Toplink with Weblogic 10.3)

Removed Toplink jars from application.

Answers


We've used the Oracle patch to configure JPA2 on WLS 10.3.5 http://docs.oracle.com/cd/E24329_01/web.1211/e24972/using_toplink.htm#CIHIBGBG Looks as if Kodo is using openJPA. You might consider configuring Toplink in your console.


Need Your Help

Regular expression in Flex

regex actionscript-3 flex flex4.5

I want to check if the string is not empty (having whitespaces only also counts as empty). How to compose the regular expression in actionscript?

Crash on glDrawElements

opengl

My application is crashing on "glDrawElements" (and glDrawArrays).

About UNIX Resources Network

Original, collect and organize Developers related documents, information and materials, contains jQuery, Html, CSS, MySQL, .NET, ASP.NET, SQL, objective-c, iPhone, Ruby on Rails, C, SQL Server, Ruby, Arrays, Regex, ASP.NET MVC, WPF, XML, Ajax, DataBase, and so on.